import SwiftUI

struct OtherSettingsView: View {
    @AppStorage("messengerModeEnabled") private var isMessengerModeEnabled: Bool = false

    var body: some View {
        Form {
            Toggle(NSLocalizedString("Режим мессенжера", comment: ""), isOn: $isMessengerModeEnabled)
                .toggleStyle(SwitchToggleStyle(tint: .accentColor))
        }
        .navigationTitle(Text(NSLocalizedString("Другое", comment: "")))
    }
}

#Preview {
    NavigationView {
        OtherSettingsView()
    }
}
